KDE 4.9 PyKDE API Reference

- KDE's Python API

# MapViewWidget Class Reference

`from PyKDE4.marble import *`

Inherits: QWidget → QObject
Namespace: Marble

## Detailed Description

## Signals
| celestialBodyChanged (QString a0)
| mapThemeIdChanged (QString a0)
| projectionChanged (Marble.Projection a0)
| showMapWizard ()
| showUploadDialog ()
## Methods
| __init__ (self, QWidget parent=0, Qt::WindowFlags f=0)
| setMapThemeId (self, QString a0)
| setMarbleWidget (self, Marble.MarbleWidget widget)
| setProjection (self, Marble.Projection projection)

## Signal Documentation

celestialBodyChanged | ( | QString | a0
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("celestialBodyChanged(const QString&)"), target_slot)`

mapThemeIdChanged | ( | QString | a0
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("mapThemeIdChanged(const QString&)"), target_slot)`

projectionChanged | ( | Marble.Projection | a0
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("projectionChanged(Marble::Projection)"), target_slot)`

showMapWizard | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("showMapWizard()"), target_slot)`

showUploadDialog | ( |  | ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("showUploadDialog()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0,
|  | Qt::WindowFlags | f=0
| ) |  |  |

setMapThemeId | ( | self, |
|  | QString | a0
| ) |  |  |

setMarbleWidget | ( | self, |
|  | Marble.MarbleWidget | widget
| ) |  |  |

Set a MarbleWidget associated to this widget.

Parameters:

  | widget | the MarbleWidget to be set.

setProjection | ( | self, |
|  | Marble.Projection | projection
| ) |  |  |